
-- =========================================================================
-- DB2 Spatial Extender V8 Bank Demo
-- CLP script: import_data.db2
-- =========================================================================

--
-- Import data into business tables
--

IMPORT FROM Data\account.csv OF DEL MESSAGES Data\account.msg
	INSERT INTO bankdemo.account
	(account_id, customer_id, branch_id, type, balance, routing_number)
;

IMPORT FROM Data\branch.csv OF DEL MESSAGES Data\branch.msg
	INSERT INTO bankdemo.branch
	(branch_id, se_row_id, name, manager, street, city, state, zip)
;

IMPORT FROM Data\customer.csv OF DEL MESSAGES Data\customer.msg
	INSERT INTO bankdemo.customer
	(customer_id, se_row_id, name, street, city, state, zip, customer_type)
;

IMPORT FROM Data\transaction.csv OF DEL MESSAGES Data\transaction.msg
	INSERT INTO bankdemo.transaction
	(transaction_id, transaction_date, account_id, amount)
;

